body {
    /* To account for the fixed header */
    padding-top: 340px;
    padding-left: 10px;
    padding-right: 10px;
    font-family: Open Sans;
    overflow-x: hidden;
    font-size: 12px;
    background-color: #f3f3f3;
}

a:focus {
    outline: none;
    background-color: #474747;
}

input::-ms-clear {
    display: none;
}

.logo {
    margin-top: 10px;
    margin-bottom: 10px;
}

.angular-ui-tree-node, .angular-ui-tree-placeholder {
    /* Filtering leaves gaps if there is a minimum height */
    min-height: 0;
}

.tree-node.tree-node-content {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.overflow-ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap
}

.push-down-sm {
    margin-top: 6px;
}

.list-service-tree {
    padding-left: 1.3em;
    list-style: none;
}

.ui-select-bootstrap > .ui-select-match > .btn {
    white-space: normal; /* Wrap long selections to new line */
    height: auto; /* Expand vertically */
}

.ui-select-bootstrap > .ui-select-match > .btn > span.ui-select-allow-clear {
    padding-right: 34px; /* Allow space for clear button */
}

.ui-select-bootstrap .ui-select-toggle > a.btn { /* Clear button */
    margin-right: 10px;
    position: absolute;
    height: 10px;
    top: 50%;
    right: 6px;
    margin-top: -10px;
}

.ui-select-bootstrap .ui-select-choices-row:nth-child(odd) > a {
    background-color: #eeeeee;
}

.ui-select-bootstrap .ui-select-choices-row.active>a {
    background-color: #428bca;
}

.ui-select-bootstrap .ui-select-toggle > .caret {
    right: 6px;
}

.ui-select-bootstrap .ui-select-choices-row>a:hover {
    background-color: #575757;
    opacity: .5;
    color: #ffffff;
}

.ui-select-bootstrap .ui-select-choices-row>a {
    white-space: inherit;
}

.input-group > .input-group-btn:empty {
    /* Hide buttons used to combine multiple inputs in one input group */
    width: 0;
}

.input-group-addon-middle {
    border-left: 0;
    border-right: 0;
}

.well-danger {
    color: #a94442;
    background-color: #f2dede;
    border-color: #ebccd1;
}

.glyphicon-spin {
    -webkit-animation: spin 1000ms infinite linear;
    animation: spin 1000ms infinite linear;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}

/* AngularJS ui-grid Overrides */
.ui-grid-viewport {
    overflow-x: auto !important;
    overflow-y: auto !important;
}

.ui-grid-invisible {
    /* The base class sets visibility: invisible. This causes overflow in IE as the hidden element still takes up space. */
    display: none;
}

@media print {
    .ui-grid {
        border: none;
    }

    .ui-grid-header {
        position: fixed;
    }

    .ui-grid-viewport {
        top: 28px;
    }
}

.spinner {
    text-align: center;
}

.spinner:before {
    content: "\e031";
    -webkit-animation: spin 1000ms infinite linear;
    animation: spin 1000ms infinite linear;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    -webkit-font-smoothing: antialiased;
    font-size: 300%;
}

.form-control-editor {
    /* Position element inside right side of input, such as a clear button. */
    position: absolute;
    margin-left: -25px;
    margin-top: 7px;
}

.pull-right-opaque {
    /* Make the background solid white */
    background-color: white;
    position: relative; /* Firefox places the float behind the inline text. Other browsers hide the overflow. This at least places the float on top. */
}

/*
    Styles following are used to override twitter bootstrap css
 */

@media (min-width: 768px) {
    body {
        padding-top: 130px;
    }

    .modal-lg {
        /* Bed status modal was too small in sm view point */
        width: 750px;
    }

    .container {
        width: 768px;
    }

    .navbar-right {
        margin-right: 0;
    }

    .navbar-header {
        float: none;
    }

    .navbar-nav-listItem {
        width: 16.666666667%;
    }
}

@media (max-width: 768px) {
    .navbar-nav {
        margin: 7.5px 0;
    }
}

@media (max-width: 940px) and (min-width: 768px) {
    .navbar-nav-listItem {
        font-size: 10px;
        white-space: nowrap;
    }
}

.container {
    margin: 20px auto;
}

.container-fluid {
    max-width: 1140px;
}

.navbar {
    margin-bottom: 0;
}

.navbar-default {
    background-color: #6699cc;
    border: none;
}

.navbar-nav {
    width: 100%;
    text-align: center;
    margin-bottom: 5px;
}

.navbar-nav > ul {
    position: relative;
    display: inline-block;
    text-align: center;
}

.navbar-nav-listItem {
    /* each child of navbar-nav to style each list item for nav */
    background-color: #575757;
    text-transform: uppercase;
}

.navbar-nav-logout {
    /* Last child of nav needed different styling */
    background-color: #da5e4d;
    height: 100%;
    -webkit-transition: background .5s ease-in-out;
    transition: background .5s ease-in-out;
}

.navbar-nav-login {
    /* Used for Login only page, to eliminate last child styles */
    background-color: #575757;
    margin-left: 0;
    text-transform: uppercase;
}

.navbar-nav-login:hover {
    color: #a3a3a3;
}

.navbar-nav > li > .dropdown-menu {
    margin-top: -1px;
    width: 100%;
    background-color: #575757;
}

.navbar-default .navbar-nav > .open > a:focus,
.navbar-default .navbar-nav > .open > a:active {
    /* override bootstrap css styles */
    background: #454545;
    color: #ffffff;
}
.navbar-default .navbar-nav>li>a:focus {
    color: #ffffff;
}

.navbar-default .navbar-nav .open .dropdown-menu>li>a:focus,
.navbar-default .navbar-nav .open .dropdown-menu>li>a:hover {
    color: #ffffff;
    background-color: #444444;
}

.navbar-default .navbar-nav > li > a {
    color: #ffffff;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
}

.navbar-default .navbar-nav > li > a:hover {
    color: #ffffff;
    background-color: #e96654;
}

.navbar-default .navbar-nav > li > a:active {
    background-color: #474747;
    border: none;
}

.btn {
    -webkit-transition: background .5s ease-in-out;
    transition: background .5s ease-in-out;
}

.btn-primary {
    background-color: #6699cc;
    border-color: #286090;
}

.btn-primary:hover {
    background-color: #286090;
    border-color: #286090;
}

.dropdown-menu>li>a {
    color: #e7e7e7;
}

.border {
    /* border around logout tab, override bootstrap css */
    display: block;
    line-height: 20px;
    padding: 6px;
    color: #fff;
    background: #575757;
    height: 50px;
}

.border:hover {
    background: #e96654;
}

.border-text {
    /* border around logout tab, override bootstrap css */
    padding-top: 10px;
    line-height: 20px;
    color: #fff;
    background: #e96654;
    height: 100%;
    width: 100%;
    display: inline-block;
}

.border-text:hover {
    text-decoration: none;
    padding-top: 10px;
    color: #ffffff;
}

.glyphicon-remove:before {
    /* override position to be more in center of remove box */
    position: relative;
    top: 1px;
}

.bold {
    font-weight: bold;
}

.top-buffer {
    margin-top: 9px;
}

.bottom-buffer {
    margin-bottom: 10px;
}

.well-danger {
    /*override bootstrap color scheme for bed status list */
    background-color: #b7b7b7;
    color: #575757;
    border: none;
}

.set-width {
    width: 90px;
}

.well {
    color: #575757;
    background-color: #ffffff;
    border: 1px solid #575757;
}

.label-white {
    color: #000000;
    background-color: #ffffff;
}

@media print {
    body {
        padding: 0;
    }
}

.footnote {
    padding-top:7px;
    line-height:0.8;
}

.show-more-container {
    overflow: hidden;
}

.show-more-collapse, .show-more-expand {
    text-align: center;
    display: none;
}

.show-more-expanded > .show-more-collapse {
    display: inherit;
}

.show-more-collapsed > .show-more-expand {
    display: inherit;
}

.update-text {
  padding: 5px 0;
}

.update-loading,
.update-success {
  padding-left: 10px;
  padding-right: 10px;
}

.update-loading {
  background-color: #eee;
}

.update-success {
  background-color: #4BB543;
  color: #fff;
}